import { useMutation } from '@tanstack/react-query';

import { chatQueryKeys } from '../chat-query-keys';
import { chatApi, type PostReportConversation } from '../chat-api';

import type { BaseAxiosError } from '../../../../types';
import { ResponseType } from '@api/response-type';

export const usePostReportConversationMutation = () => {
  return useMutation<ResponseType, BaseAxiosError, PostReportConversation, ResponseType>({
    mutationKey: chatQueryKeys.reportConversation(),
    mutationFn: async (data) => {
      const response = await chatApi.reportConversation(data);
      return response.data;
    }
  });
};
